---
title: "Update Party"
url: "https://developer.pexa.co.uk/apis/workspace-v1-v1/versions/32819e5a-6411-493b-abe8-00b7c7ca6c77/operations/updateParty"
---

> Full API specification: https://developer.pexa.co.uk/apis/workspace-v1-v1/versions/32819e5a-6411-493b-abe8-00b7c7ca6c77.md

# Update Party

`PATCH` `/partner/api/platformconnect/v1/workspaces/{workspace_id}/parties/{party_id}`

Operation ID: `updateParty`

This API allows the Law Firm to update existing borrower's details within an existing workspace

## Path parameters

- `workspace_id` (string, uuid, required) - Workspace id
- `party_id` (string, uuid, required)

## Header parameters

- `X-Request-Correlation-Id` (string, optional)

## Request body (required)

Content types: `application/json`

## Responses

- `200` - OK
- `400` - BAD REQUEST
- `500` - INTERNAL SERVER ERROR
- `503` - SERVICE UNAVAILABLE

## OpenAPI definition

```yaml
openapi: 3.0.1
info:
  title: Workspace
  version: v1.3.0
servers:
  - url: https://api.pexa.co.uk
    description: API Gateway URL
paths:
  /partner/api/platformconnect/v1/workspaces/{workspace_id}/parties/{party_id}:
    patch:
      tags:
        - Party
      summary: Update Party
      description: This API allows the Law Firm to update existing borrower's details
        within an existing workspace
      operationId: updateParty
      security:
        - oauth2:
            - add:legal_representation_details
            - create:title_change_request
            - edit:workspace_parties
      parameters:
        - in: header
          name: X-Request-Correlation-Id
          schema:
            type: string
            description: The unique identifier for the request
        - name: workspace_id
          in: path
          description: Workspace id
          required: true
          schema:
            type: string
            format: uuid
        - name: party_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - type
              discriminator:
                propertyName: type
                mapping:
                  INDIVIDUAL: "#/components/schemas/UpdateIndividualPartyDetails"
                  ORGANISATION: "#/components/schemas/UpdateOrganisationPartyDetails"
              properties:
                type:
                  type: string
                  pattern: ^(INDIVIDUAL|ORGANISATION)$
                  example: INDIVIDUAL
                  description: |
                    Allowed values: [`INDIVIDUAL`, `ORGANISATION`]
                nameChangeOnTitle:
                  type: boolean
                  description: Flag to indicate whether the user has consented for name change on
                    title.
                representationType:
                  type: string
                  pattern: ^(NO_REPRESENTATION|DUAL_REPRESENTATION|SEPARATE_REPRESENTATION)$
                  example: NO_REPRESENTATION
                  description: >
                    Allowed values: [`NO_REPRESENTATION`, `DUAL_REPRESENTATION`,
                    `SEPARATE_REPRESENTATION`]
                representationId:
                  type: string
                  format: uuid
                partyDetails:
                  oneOf:
                    - type: object
                      properties:
                        forenames:
                          maxLength: 90
                          minLength: 1
                          type: string
                          example: James Thomas
                          pattern: ^[A-Za-z][A-Za-z\- ']*$
                        surname:
                          maxLength: 50
                          minLength: 1
                          type: string
                          example: Smith
                          pattern: ^[A-Za-z][A-Za-z\- ']*$
                      additionalProperties: false
                    - type: object
                      properties:
                        organisationName:
                          maxLength: 160
                          minLength: 1
                          type: string
                          example: My Organisation
                          pattern: ^[a-zA-ZÀ-ÖØ-öø-ſĀ-ıĴ-ľŁ-ŉŊ-ŏŐ-őŒ-žǼǺǾẀẂẄỲǽǻǿẁẃẅỳ\d&@£$€¥#‘’'(){}<>!«»“”"\[\]?*=%+\s.,:\/;\\-]+$
                        registrationNumber:
                          type: string
                          minLength: 6
                          maxLength: 8
                          pattern: ^[A-Z0-9]+$
                          example: ABCD1234
                        organisationType:
                          maxLength: 200
                          minLength: 1
                          type: string
                          pattern: ^(LIMITED_COMPANY)$
                          example: LIMITED_COMPANY
                          description: |
                            Organisation Type:
                             * `LIMITED_COMPANY`
                      additionalProperties: false
                verificationOfIdentity:
                  type: string
                  pattern: ^(LAW_FIRM_CERTIFIED|IDENTITY_EVIDENCE)$
                  example: LAW_FIRM_CERTIFIED
                  description: |
                    Allowed values: [`LAW_FIRM_CERTIFIED`, `IDENTITY_EVIDENCE`]
              title: Update Party Request
              description: Request to update party
            examples:
              UpdateIndividualParty:
                value:
                  type: INDIVIDUAL
                  partyDetails:
                    forenames: James Thomas
                    surname: Smith
                summary: Individual Party
              UpdateOrganisationParty:
                value:
                  type: ORGANISATION
                  partyDetails:
                    organisationName: Pexa ltd.
                    registrationNumber: "12345678"
                    organisationType: LIMITED_COMPANY
                summary: Organisation Party
              Individual Party Name Change On Title:
                value:
                  type: INDIVIDUAL
                  nameChangeOnTitle: true
              Organisation Party Confirm Representation Type:
                value:
                  type: ORGANISATION
                  representationType: NO_REPRESENTATION
        required: true
      responses:
        "200":
          description: OK
          headers:
            X-API-Version:
              schema:
                type: string
                description: The API version that was used to process the request.
            X-Request-Correlation-Id:
              schema:
                type: string
                description: The unique identifier for the request
          content:
            application/json:
              schema:
                type: object
                required:
                  - type
                properties:
                  partyId:
                    type: string
                    format: uuid
                    readOnly: true
                  role:
                    type: string
                    pattern: ^(BORROWER|OUTGOING_PROPRIETOR)$
                    example: BORROWER
                    description: |
                      Allowed values: [`BORROWER`, `OUTGOING_PROPRIETOR`]
                  proprietorMatchStatus:
                    type: array
                    items:
                      type: string
                      pattern: ^(MATCH|NAME_MISMATCH|PENDING|PROPRIETOR_NAME_CHANGE_REQUIRED|TYPE_MISMATCH|REGISTRATION_NUMBER_MISMATCH|PARTY_NAME_UPDATED)$
                      example: NAME_MISMATCH
                      description: >
                        Allowed values: [`MATCH`, `NAME_MISMATCH`, `PENDING`,
                        `PROPRIETOR_NAME_CHANGE_REQUIRED`, `TYPE_MISMATCH`,
                        `REGISTRATION_NUMBER_MISMATCH`, `PARTY_NAME_UPDATED`]
                  type:
                    type: string
                    pattern: ^(INDIVIDUAL|ORGANISATION)$
                    example: INDIVIDUAL
                    description: |
                      Allowed values: [`INDIVIDUAL`, `ORGANISATION`]
                  partyDetails:
                    oneOf:
                      - type: object
                        required:
                          - forenames
                          - surname
                        properties:
                          forenames:
                            maxLength: 90
                            minLength: 1
                            type: string
                            example: James Thomas
                            pattern: ^[A-Za-z][A-Za-z\- ']*$
                          surname:
                            maxLength: 50
                            minLength: 1
                            type: string
                            example: Smith
                            pattern: ^[A-Za-z][A-Za-z\- ']*$
                      - type: object
                        required:
                          - organisationName
                          - registrationNumber
                          - organisationType
                        properties:
                          organisationName:
                            maxLength: 160
                            minLength: 1
                            type: string
                            example: My Organisation
                            pattern: ^[a-zA-ZÀ-ÖØ-öø-ſĀ-ıĴ-ľŁ-ŉŊ-ŏŐ-őŒ-žǼǺǾẀẂẄỲǽǻǿẁẃẅỳ\d&@£$€¥#‘’'(){}<>!«»“”"\[\]?*=%+\s.,:\/;\\-]+$
                          registrationNumber:
                            type: string
                            minLength: 6
                            maxLength: 8
                            pattern: ^[A-Z0-9]+$
                            example: ABCD1234
                          organisationType:
                            maxLength: 200
                            minLength: 1
                            type: string
                            pattern: ^(LIMITED_COMPANY)$
                            example: LIMITED_COMPANY
                            description: |
                              Organisation Type:
                               * `LIMITED_COMPANY`
                  representationType:
                    type: string
                    pattern: ^(NO_REPRESENTATION|DUAL_REPRESENTATION|SEPARATE_REPRESENTATION)$
                    example: NO_REPRESENTATION
                    description: >
                      Allowed values: [`NO_REPRESENTATION`,
                      `DUAL_REPRESENTATION`, `SEPARATE_REPRESENTATION`]
                  representationId:
                    type: string
                    format: uuid
                  sourceProprietorId:
                    type: string
                    format: uuid
                  verificationOfIdentity:
                    type: string
                    pattern: ^(LAW_FIRM_CERTIFIED|IDENTITY_EVIDENCE)$
                    example: LAW_FIRM_CERTIFIED
                    description: >
                      Allowed values: [`LAW_FIRM_CERTIFIED`, `IDENTITY_EVIDENCE`]
              examples:
                IndividualPartyResponse:
                  value:
                    partyId: 3fa85f64-5717-4562-b3fc-2c963f66afa6
                    role: BORROWER
                    proprietorMatchStatus:
                      - MATCH
                    type: INDIVIDUAL
                    partyDetails:
                      forenames: James Thomas
                      surname: Smith
                    sourceProprietorId: ab5ca64f-c5a5-4bda-a440-13a2c1316663
                  summary: Individual Party
                OrganisationPartyResponse:
                  value:
                    partyId: 3fa85f64-5717-4562-b3fc-2c963f66afa6
                    role: BORROWER
                    proprietorMatchStatus:
                      - MATCH
                    type: ORGANISATION
                    partyDetails:
                      organisationName: Pexa ltd.
                      registrationNumber: "12345678"
                      organisationType: LIMITED_COMPANY
                    sourceProprietorId: c60ec4c1-1188-409c-88b1-9deb9e5bfce3
                  summary: Organisation Party
                OrganisationPartyConfirmRepresentationTypeResponse:
                  value:
                    partyId: 3fa85f64-5717-4562-b3fc-2c963f66afa6
                    role: BORROWER
                    proprietorMatchStatus:
                      - MATCH
                    type: ORGANISATION
                    representationType: NO_REPRESENTATION
                    partyDetails:
                      organisationName: Pexa ltd.
                      registrationNumber: "12345678"
                      organisationType: LIMITED_COMPANY
                    sourceProprietorId: 3f51fdea-9738-4363-b344-de1a41d796f5
                  summary: Organisation Party Confirm Representation Type
        "400":
          description: BAD REQUEST
          headers:
            X-API-Version:
              schema:
                type: string
                description: The API version that was used to process the request.
            X-Request-Correlation-Id:
              schema:
                type: string
                description: The unique identifier for the request
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        field:
                          type: string
                          description: Field
                        message:
                          type: string
                          description: Error message
              examples:
                IndividualPartyResponse:
                  value:
                    errors:
                      - message: Party cannot be updated as the current workspace status is LODGED
                      - field: party-id
                        message: party-id has to be a UUID
                OrganisationPartyResponse:
                  value:
                    errors:
                      - message: Party cannot be updated as the current workspace status is LODGED
                      - field: party-id
                        message: party-id has to be a UUID
                OrganisationPartyConfirmRepresentationTypeResponse:
                  value:
                    errors:
                      - message: Party cannot be updated as the current workspace status is LODGED
                      - field: party-id
                        message: party-id has to be a UUID
        "500":
          description: INTERNAL SERVER ERROR
          headers:
            X-API-Version:
              schema:
                type: string
                description: The API version that was used to process the request.
            X-Request-Correlation-Id:
              schema:
                type: string
                description: The unique identifier for the request
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        field:
                          type: string
                          description: Field
                        message:
                          type: string
                          description: Error message
              examples:
                IndividualPartyResponse:
                  value:
                    errors:
                      - message: Internal Server Error
                OrganisationPartyResponse:
                  value:
                    errors:
                      - message: Internal Server Error
                OrganisationPartyConfirmRepresentationTypeResponse:
                  value:
                    errors:
                      - message: Internal Server Error
        "503":
          description: SERVICE UNAVAILABLE
          headers:
            X-API-Version:
              schema:
                type: string
                description: The API version that was used to process the request.
            X-Request-Correlation-Id:
              schema:
                type: string
                description: The unique identifier for the request
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        field:
                          type: string
                          description: Field
                        message:
                          type: string
                          description: Error message
              example:
                errors:
                  - message: Service under maintenance
security:
  - oauth2:
      - add:legal_representation_details
      - create:title_change_request
      - edit:workspace_parties
components:
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://login.pexauk.co.uk/oauth/token
          scopes:
            x-api:create:purchase_workspaces: Permission to create purchase workspace
            x-api:create:remortgage_workspaces: Permission to create remortgage workspace
            x-api:cancel:workspaces: Permission to cancel the workspace
            add:law_firm_reference: add law firm reference
            add:legal_representation_details: add legal representation details
            view:workspaces: view workspace
            create:title_change_request: create title change request
            edit:workspace_parties: edit workspace parties
            x-api:add:legal_representation_details: Permission to add party representation
            x-api:edit:external_law_firm_details: Permission to update external law firm representation
            create:workspaces: Permission to create workspaces
            edit:workspaces: Permission to edit workspaces
            edit:lodgement_proprietors: Permission to edit proprietors linked to lodgement case
            view:lodgement_proprietors: Permission to view proprietors linked to lodgement case
            add:workspace_participants: Permission to add workspace participants
            edit:external_law_firm_details: Permission to edit external law firm details
            edit:law_firm_reference: Permission to edit law firm reference
```
